FROM php:7.2-fpm

RUN apt-get update \
    && DEBIAN_FRONTEND=noninteractive apt-get install -y locales \
    && sed -i -e 's/# en_US.UTF-8 UTF-8/en_US.UTF-8 UTF-8/' /etc/locale.gen \
    && sed -i -e 's/# ru_RU.UTF-8 UTF-8/ru_RU.UTF-8 UTF-8/' /etc/locale.gen \
    && dpkg-reconfigure --frontend=noninteractive locales \
    && update-locale LANG=ru_RU.UTF-8

ENV LANG ru_RU.UTF-8 
ENV LC_ALL ru_RU.UTF-8
ENV COMPOSER_ALLOW_SUPERUSER 1 \
    TZ ${TZ:-"Europe/Moscow"} 
#    PHP_XDEBUG_DEFAULT_ENABLE ${PHP_XDEBUG_DEFAULT_ENABLE:-1} \
#    PHP_XDEBUG_REMOTE_ENABLE ${PHP_XDEBUG_REMOTE_ENABLE:-1} \
#    PHP_XDEBUG_REMOTE_HOST ${PHP_XDEBUG_REMOTE_HOST:-"127.0.0.1"} \
#    PHP_XDEBUG_REMOTE_PORT ${PHP_XDEBUG_REMOTE_PORT:-9000} \
#    PHP_XDEBUG_REMOTE_AUTO_START ${PHP_XDEBUG_REMOTE_AUTO_START:-1} \
#    PHP_XDEBUG_REMOTE_CONNECT_BACK ${PHP_XDEBUG_REMOTE_CONNECT_BACK:-1} \
#    PHP_XDEBUG_IDEKEY ${PHP_XDEBUG_IDEKEY:-docker} \
#    PHP_XDEBUG_PROFILER_ENABLE ${PHP_XDEBUG_PROFILER_ENABLE:-0} \
#    PHP_XDEBUG_PROFILER_OUTPUT_DIR ${PHP_XDEBUG_PROFILER_OUTPUT_DIR:-"/tmp"} \
#    PHP_OPCACHE_VALIDATE_TIMESTAMPS ${PHP_OPCACHE_VALIDATE_TIMESTAMPS:-0} \
#    PHP_OPCACHE_MAX_ACCELERATED_FILES ${PHP_OPCACHE_MAX_ACCELERATED_FILES:-10000} \
#    PHP_OPCACHE_MEMORY_CONSUMPTION ${PHP_OPCACHE_MEMORY_CONSUMPTION:-192} \
#    PHP_OPCACHE_MAX_WASTED_PERCENTAGE ${PHP_OPCACHE_MAX_WASTED_PERCENTAGE:-10}

RUN apt-get update && apt-get install -y \
        libfreetype6-dev \
        libjpeg62-turbo-dev \
        libjpeg-dev \
        libpng-dev \
        libicu-dev \
        libtidy-dev \
        libzip-dev \
        zlibc \
        zlib1g \
        libmemcached11 libmemcachedutil2 build-essential libmemcached-dev libz-dev \
        python-dev libxml2-dev libxslt1-dev zlib1g-dev ssh \
        mc vim sudo tzdata git zip wget \
    && docker-php-ext-configure zip --with-libzip \
    && docker-php-ext-install zip \
    && docker-php-ext-configure gd --with-freetype-dir=/usr/include/ --with-jpeg-dir=/usr/include/ \
    && docker-php-ext-install -j$(nproc) gd \
    && pecl install redis-5.2.2 \
    && pecl install memcached-3.1.5 \
    && docker-php-ext-install \
            intl \
            mysqli \
            pdo_mysql \
            soap \
            tidy \
            xsl \
            zip \
            opcache \
            pcntl \
            sockets \
            wddx \
            gettext \
            exif \
    && docker-php-ext-enable exif redis \
    && apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*

COPY php.ini "$PHP_INI_DIR/php.ini"

RUN wget http://getcomposer.org/installer \
    && php installer -- --install-dir=/usr/bin --filename=composer \
    && rm installer \
    && composer global require hirak/prestissimo \
    && composer global require phploc/phploc

USER www-data

EXPOSE 9000

WORKDIR "/srv/site"

